<template>
  <div>
    <el-popconfirm
        title="确定删除吗？"
        @confirm="onDel"
    >
      <el-button type="text" size="mini" slot="reference">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  props:["id"],
  name: "deleteProduct",
  methods:{
    async onDel(){
      const res = await this.$api.requested({
        "id": 20221021145602,
        "content": {
          "deletereason": "",
          "sa_projectid":'',
          "sa_project_itemsids": [this.id]
        },
      })
      this.tool.showMessage(res,()=>{
        this.$emit('delSuccess')
      })
    }
  }
}
</script>

<style scoped>

</style>